Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -3652,5 +3457,5 @@
                             m_cache_directory.write(set, r_read_way.read(), entry);
                             
-                            if(r_read_need_block.read())
+                            if (r_read_need_block.read())
                             {
                                 r_read_to_multi_ack_nline       = nline;
@@ -3687,5 +3492,5 @@
 
 #if DEBUG_MEMC_READ
-                            if(m_debug)
+                            if (m_debug)
                             {
                                  std::cout
@@ -3709,5 +3514,5 @@
                     r_read_fsm = READ_DIR_REQ;
 #if DEBUG_MEMC_READ
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -3747,9 +3552,9 @@
                     DirectoryEntry entry;
 
-                    if(inst_read)
+                    if (inst_read)
                     {
                         entry.state = ENTRY_SHARED;
                     }
-                    else if(is_getm)
+                    else if (is_getm)
                     {
                         entry.state = ENTRY_EXCLUSIVE;
@@ -3761,5 +3566,5 @@
  
                     //entry.cache_coherent = r_read_coherent.read() or inst_read or (!(cached_read)) or (r_read_copy.read() != m_cmd_read_srcid_fifo.read());
-                    if( entry.state == ENTRY_SHARED) r_read_shared = true;
+                    if (entry.state == ENTRY_SHARED) r_read_shared = true;
                         else    r_read_shared = false;
                     entry.is_cnt  = is_cnt;
@@ -3768,7 +3573,7 @@
                     entry.lock    = r_read_lock.read();
                     entry.ptr     = r_read_ptr.read();
-                    if(cached_read)   // Cached read => we must update the copies
-                    {
-                        if(is_getm)
+                    if (cached_read)   // Cached read => we must update the copies
+                    {
+                        if (is_getm)
                         {
                             entry.owner.srcid    = m_cmd_read_srcid_fifo.read();
@@ -3777,5 +3582,5 @@
  
                         }
-                        else if(!is_cnt)  // Not counter mode
+                        else if (!is_cnt)  // Not counter mode
                         {
                             entry.owner.srcid    = m_cmd_read_srcid_fifo.read();
@@ -3798,5 +3603,5 @@
 
 #if DEBUG_MEMC_READ
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " READ_DIR_HIT> Update directory entry:"
                             << " addr = " << std::hex << m_cmd_read_addr_fifo.read()
@@ -3818,18 +3623,14 @@
             case READ_HEAP_REQ:    // Get the lock to the HEAP directory
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
                     {
                         r_read_fsm = READ_HEAP_LOCK;
-                        m_cpt_read_fsm_n_heap_lock++;
                     }
 
 #if DEBUG_MEMC_READ
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " READ_HEAP_REQ>"
                             << " Requesting HEAP lock " << std::endl;
 #endif
-
-                    m_cpt_read_fsm_heap_lock++;
-
                     break;
                 }
@@ -3839,5 +3640,5 @@
                 // and prepare the HEAP update
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
                     {
                         // enter counter mode when we reach the limit of copies or the heap is full
@@ -3862,5 +3663,5 @@
                         r_read_shared = true;  //ack to cache L1 with shared state
     
-                        if(not go_cnt)         // Not entering counter mode
+                        if (not go_cnt)         // Not entering counter mode
                         {
                             entry.owner.srcid    = r_read_copy.read();
@@ -3878,5 +3679,5 @@
 
                         // prepare the heap update (add an entry, or clear the linked list)
-                        if(not go_cnt)      // not switching to counter mode
+                        if (not go_cnt)      // not switching to counter mode
                         {
                             // We test if the next free entry in the heap is the last
@@ -3889,5 +3690,5 @@
                         else            // switching to counter mode
                         {
-                            if(r_read_count.read() >1)              // heap must be cleared
+                            if (r_read_count.read() >1)              // heap must be cleared
                             {
                                 HeapEntry next_entry = m_heap.read(r_read_ptr.read());
@@ -3895,5 +3696,5 @@
                                 m_heap.write_free_ptr(r_read_ptr.read());
 
-                                if(next_entry.next == r_read_ptr.read())    // last entry
+                                if (next_entry.next == r_read_ptr.read())    // last entry
                                 {
                                     r_read_fsm = READ_HEAP_LAST;    // erase the entry
@@ -3912,5 +3713,5 @@
 
 #if DEBUG_MEMC_READ
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " READ_HEAP_LOCK> Update directory:"
                                 << " tag = " << std::hex << entry.tag
@@ -3932,5 +3733,5 @@
             case READ_HEAP_WRITE:       // add an entry in the heap
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
                     {
                         HeapEntry heap_entry;
@@ -3938,5 +3739,5 @@
                         heap_entry.owner.inst     = ((m_cmd_read_pktid_fifo.read() & 0x2) != 0);
 
-                        if(r_read_count.read() == 1)  // creation of a new linked list
+                        if (r_read_count.read() == 1)  // creation of a new linked list
                         {
                             heap_entry.next         = m_heap.next_free_ptr();
@@ -3948,10 +3749,10 @@
                         m_heap.write_free_entry(heap_entry);
                         m_heap.write_free_ptr(r_read_next_ptr.read());
-                        if(r_read_last_free.read())  m_heap.set_full();
+                        if (r_read_last_free.read())  m_heap.set_full();
 
                         r_read_fsm    = READ_RSP;
 
 #if DEBUG_MEMC_READ
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " READ_HEAP_WRITE> Add an entry in the heap:"
                                 << " owner_id = " << std::hex << heap_entry.owner.srcid
@@ -3970,8 +3771,8 @@
             case READ_HEAP_ERASE:
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
                     {
                         HeapEntry next_entry = m_heap.read(r_read_ptr.read());
-                        if(next_entry.next == r_read_ptr.read())
+                        if (next_entry.next == r_read_ptr.read())
                         {
                             r_read_fsm = READ_HEAP_LAST;
@@ -3995,5 +3796,5 @@
             case READ_HEAP_LAST:
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_READ)
                     {
                         HeapEntry last_entry;
@@ -4001,5 +3802,5 @@
                         last_entry.owner.inst     = false;
 
-                        if(m_heap.is_full())
+                        if (m_heap.is_full())
                         {
                             last_entry.next       = r_read_ptr.read();
@@ -4024,5 +3825,5 @@
             case READ_RSP:    //  request the TGT_RSP FSM to return data
                 {
-                    if(not r_read_to_tgt_rsp_req.read())
+                    if (not r_read_to_tgt_rsp_req.read())
                     {
                         for(size_t i=0 ; i<m_words ; i++)  r_read_to_tgt_rsp_data[i] = r_read_data[i];
@@ -4046,5 +3847,5 @@
 
 #if DEBUG_MEMC_READ
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " READ_RSP> Request TGT_RSP FSM to return data:"
                                 << " rsrcid = " << std::hex << m_cmd_read_srcid_fifo.read()
@@ -4058,5 +3859,5 @@
             case READ_TRT_LOCK: // read miss : check the Transaction Table
                 {
-                    if(r_alloc_trt_fsm.read() == ALLOC_TRT_READ)
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_READ)
                     {
                         size_t      index     = 0;
@@ -4067,21 +3868,30 @@
                         bool        wok       = !m_trt.full(index);
                         
-                        //if(hit_write) m_trt.print(index_write);
-                        if(hit_read or !wok or hit_write)    // missing line already requested or no space
-                        {
-                            if(!wok)
+                        //if (hit_write) m_trt.print(index_write);
+                        if (hit_read or !wok or hit_write)    // missing line already requested or no space
+                        {
+                            // <Activity counters>
+                            if (!wok)
                             {
                                 m_cpt_trt_full++;
                             }
-                            if(hit_read or hit_write)   m_cpt_trt_rb++;
+                            if (hit_read or hit_write)
+                            {
+                                m_cpt_trt_rb++;
+                            }
+                            // </Activity counters>
                             r_read_fsm = READ_IDLE;
                         }
-                        else                  // missing line is requested to the XRAM
-                        {
-
-                            if ( (m_cmd_read_pktid_fifo.read() & 0x7) == TYPE_WRITE )
-                                m_cpt_getm_miss ++;
-                            else
+                        else // missing line is requested to the XRAM
+                        {
+
+                            // <Activity counters>
+                            if ((m_cmd_read_pktid_fifo.read() & 0x7) == TYPE_WRITE) {
+                                m_cpt_getm_miss++;
+                            }
+                            else {
                                 m_cpt_read_miss++;
+                            }
+                            // </Activity counters>
 
                             r_read_trt_index = index;
@@ -4090,15 +3900,11 @@
 
 #if DEBUG_MEMC_READ
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " READ_TRT_LOCK> Check TRT:"
                                 << " hit_read = " << hit_read
                                 << " / hit_write = " << hit_write
                                 << " / full = " << !wok << std::endl;
-                        m_cpt_read_fsm_n_trt_lock++;
-#endif
-                    }
-
-                    m_cpt_read_fsm_trt_lock++;
-
+#endif
+                    }
                     break;
                 }
@@ -4107,5 +3913,5 @@
             case READ_TRT_SET:      // register get transaction in TRT
                 {
-                    if(r_alloc_trt_fsm.read() == ALLOC_TRT_READ)
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_READ)
                     {
                         m_trt.set(r_read_trt_index.read(),
@@ -4123,5 +3929,5 @@
 
 #if DEBUG_MEMC_READ
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " READ_TRT_SET> Set a GET in TGT:"
                                 << " address = " << std::hex << m_cmd_read_addr_fifo.read()
@@ -4136,5 +3942,5 @@
             case READ_TRT_REQ:   // consume the read request in FIFO and send it to IXR_CMD_FSM
                 {
-                    if(not r_read_to_ixr_cmd_req)
+                    if (not r_read_to_ixr_cmd_req)
                     {
                         cmd_read_fifo_get       = true;
@@ -4145,5 +3951,5 @@
 
 #if DEBUG_MEMC_READ
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " READ_TRT_REQ> Request GET transaction for address "
                                 << std::hex << m_cmd_read_addr_fifo.read() << std::endl;
@@ -4217,5 +4023,5 @@
                     for(size_t word=0 ; word<m_words ; word++)
                     {
-                        if(word == index) r_write_be[word] = m_cmd_write_be_fifo.read();
+                        if (word == index) r_write_be[word] = m_cmd_write_be_fifo.read();
                         else              r_write_be[word] = 0x0;
                     }
@@ -4231,5 +4037,5 @@
 
 #if DEBUG_MEMC_WRITE
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " WRITE_IDLE> Write request "
                             << " srcid = " << std::hex << m_cmd_write_srcid_fifo.read()
@@ -4295,5 +4101,4 @@
                     if (r_alloc_dir_fsm.read() != ALLOC_DIR_WRITE ) 
                     {
-                        m_cpt_write_fsm_n_dir_lock ++;
                         break;
                     }
@@ -4326,8 +4131,6 @@
                     }
 
-                    m_cpt_write_fsm_dir_lock ++;
-
 #if DEBUG_MEMC_WRITE
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " WRITE_DIR_REQ> Requesting DIR lock "
                             << std::endl;
@@ -4344,5 +4147,5 @@
                     DirectoryEntry entry(m_cache_directory.read(r_write_address.read(), way));
 
-                    if(entry.state != ENTRY_INVALID)    // hit
+                    if (entry.state != ENTRY_INVALID)    // hit
                     {
                         // copy directory entry in local buffer in case of hit
@@ -4357,5 +4160,5 @@
                         r_write_state      = entry.state;
 
-                        if( r_write_pktid == TYPE_DATA_UNC and entry.count != 0)
+                        if (r_write_pktid == TYPE_DATA_UNC and entry.count != 0)
                         {
                             assert( false && " found a copy for an uncached write quest");
@@ -4363,5 +4166,5 @@
                         else
                         { 
-                            if( not entry.count and (entry.state != ENTRY_LOCKED))
+                            if (not entry.count and (entry.state != ENTRY_LOCKED))
                             {
                                 r_write_fsm = WRITE_DIR_HIT;    
@@ -4369,5 +4172,4 @@
                             else if (entry.state == ENTRY_LOCKED)//the line is locked
                             {
-                                m_cpt_write_locked_rb ++;
                                 r_write_fsm = WRITE_WAIT;
                             }
@@ -4384,5 +4186,5 @@
 
 #if DEBUG_MEMC_WRITE
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout << "  <MEMC " << name() << " WRITE_DIR_LOCK> Check the directory: "
@@ -4391,5 +4193,5 @@
                             << " / count = " << entry.count
                             << " / is_cnt = " << entry.is_cnt ;
-                        if((r_write_pktid.read() & 0x7) == TYPE_SC)
+                        if ((r_write_pktid.read() & 0x7) == TYPE_SC)
                             std::cout << " / SC access" << std::endl;
                         else
@@ -4439,5 +4241,5 @@
 
 #if DEBUG_MEMC_WRITE
-                    if(m_debug)
+                    if (m_debug)
                     {
                          std::cout << "  <MEMC " << name() 
@@ -4451,18 +4253,14 @@
             case WRITE_HEAP_REQ:    // Get the lock to the HEAP directory
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_WRITE)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_WRITE)
                     {
                         r_write_fsm = WRITE_HEAP_ERASE;
-                        m_cpt_write_fsm_n_heap_lock++;
                     }
 
 #if DEBUG_MEMC_WRITE
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " WRITE_HEAP_REQ>"
                             << " Requesting HEAP lock " << std::endl;
 #endif
-
-                    m_cpt_write_fsm_heap_lock++;
-
                     break;
                 }
@@ -4471,5 +4269,5 @@
             case WRITE_HEAP_ERASE:   // get access to heap
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_WRITE)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_WRITE)
                     {
                         HeapEntry entry = m_heap.read(r_write_next_ptr.read());
@@ -4478,8 +4276,8 @@
                         write_to_cc_send_fifo_inst     = entry.owner.inst;
                         write_to_cc_send_fifo_put      = true;
-                        if(m_write_to_cc_send_inst_fifo.wok())
+                        if (m_write_to_cc_send_inst_fifo.wok())
                         {
                             r_write_next_ptr = entry.next;
-                            if(entry.next == r_write_next_ptr.read())   // last copy
+                            if (entry.next == r_write_next_ptr.read())   // last copy
                             {
                                 r_write_to_cc_send_multi_req = true;
@@ -4497,12 +4295,9 @@
 
 #if DEBUG_MEMC_WRITE
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() 
                                 << " WRITE_HEAP_LOCK> Get acces to the HEAP" << std::endl;
 #endif
                     }
-
-                    m_cpt_write_fsm_heap_lock++;
-
                     break;
                 }
@@ -4510,5 +4305,5 @@
             case WRITE_HEAP_LAST:  // last copy
                 {
-                    if(r_alloc_heap_fsm.read() != ALLOC_HEAP_WRITE)
+                    if (r_alloc_heap_fsm.read() != ALLOC_HEAP_WRITE)
                     {
                         std::cout << "VCI_MEM_CACHE ERROR " << name() << " WRITE_HEAP_LAST"
@@ -4521,5 +4316,5 @@
                     last_entry.owner.srcid    = 0;
                     last_entry.owner.inst     = false;
-                    if(m_heap.is_full())
+                    if (m_heap.is_full())
                     {
                         last_entry.next     = r_write_next_ptr.read();
@@ -4537,5 +4332,5 @@
 
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " WRITE_HEAP_LAST>"
                             << " Heap housekeeping" << std::endl;
@@ -4592,9 +4387,9 @@
                             for(size_t word=0 ; word<m_words ; word++)
                             {
-                                if(word == index) r_write_be[word] = m_cmd_write_be_fifo.read();
+                                if (word == index) r_write_be[word] = m_cmd_write_be_fifo.read();
                                 else              r_write_be[word] = 0x0;
                             }
 
-                            if( m_cmd_write_eop_fifo.read())
+                            if (m_cmd_write_eop_fifo.read())
                             {
                                 r_write_fsm = WRITE_DIR_REQ;
@@ -4607,5 +4402,5 @@
 
 #if DEBUG_MEMC_WRITE
-                        if(m_debug)
+                        if (m_debug)
                         {
                             std::cout << "  <MEMC " << name() << " WRITE_RSP> Post a request to TGT_RSP FSM"
@@ -4614,5 +4409,5 @@
                                 << " : sc_fail= " << std::hex << r_write_sc_fail.read()
                                 << std::endl;
-                            if(m_cmd_write_addr_fifo.rok())
+                            if (m_cmd_write_addr_fifo.rok())
                             {
                                 std::cout << "                    New Write request: "
@@ -4631,5 +4426,5 @@
             case WRITE_MISS_TRT_LOCK: // Miss : check Transaction Table
                 {
-                    if(r_alloc_trt_fsm.read() == ALLOC_TRT_WRITE)
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_WRITE)
                     {
                         size_t  hit_index = 0;
@@ -4640,5 +4435,5 @@
                         bool    wok       = not m_trt.full(wok_index);
 #if DEBUG_MEMC_WRITE
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " WRITE_MISS_TRT_LOCK> Check the TRT" 
                                       << "hit read =" << hit_read
@@ -4649,9 +4444,10 @@
 
                         // wait an empty entry in TRT
-                        if(not hit_read and (not wok or hit_write))
+                        if (not hit_read and (not wok or hit_write))
                         {
                             r_write_fsm       = WRITE_WAIT;
+                            // <Activity counters>
                             m_cpt_trt_full++;
-
+                            // </Activity counters>
                             break;
                         }
@@ -4668,5 +4464,7 @@
                             r_write_trt_index = hit_index;
                             r_write_fsm       = WRITE_MISS_TRT_DATA;
+                            // <Activity counters>
                             m_cpt_write_miss++;
+                            // </Activity counters>
                             break;
                         }
@@ -4676,9 +4474,10 @@
                             r_write_trt_index = wok_index;
                             r_write_fsm       = WRITE_MISS_TRT_SET;
+                            // <Activity counters>
                             m_cpt_write_miss++;
+                            // </Activity counters>
                             break;
                         }
 
-                        m_cpt_write_fsm_n_trt_lock ++;
                         assert(false && "VCI_MEM_CACHE ERROR: this part must not be reached");
                     }
@@ -4692,5 +4491,5 @@
 
 #if DEBUG_MEMC_WRITE
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " WRITE_WAIT> Releases the locks before retry" << std::endl;
 #endif
@@ -4702,5 +4501,5 @@
             case WRITE_MISS_TRT_SET:  // register a new transaction in TRT (Write Buffer)
                 {
-                    if(r_alloc_trt_fsm.read() == ALLOC_TRT_WRITE)
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_WRITE)
                     {
                         std::vector<be_t>   be_vector;
@@ -4727,5 +4526,5 @@
 
 #if DEBUG_MEMC_WRITE
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " WRITE_MISS_TRT_SET> Set a new entry in TRT" << std::endl;
 #endif
@@ -4737,5 +4536,5 @@
             case WRITE_MISS_TRT_DATA: // update an entry in TRT (used as a Write Buffer)
                 {
-                    if(r_alloc_trt_fsm.read() == ALLOC_TRT_WRITE)
+                    if (r_alloc_trt_fsm.read() == ALLOC_TRT_WRITE)
                     {
                         std::vector<be_t> be_vector;
@@ -4754,5 +4553,5 @@
 
 #if DEBUG_MEMC_WRITE
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " WRITE_MISS_TRT_DATA> Modify an existing entry in TRT" << std::endl;
 #endif
@@ -4764,5 +4563,5 @@
             case WRITE_MISS_XRAM_REQ: // send a GET request to IXR_CMD FSM
                 {
-                    if(not r_write_to_ixr_cmd_req.read())
+                    if (not r_write_to_ixr_cmd_req.read())
                     {
                         r_write_to_ixr_cmd_req   = true;
@@ -4771,5 +4570,5 @@
 
 #if DEBUG_MEMC_WRITE
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() 
                                 << " WRITE_MISS_XRAM_REQ> Post a GET request to the"
@@ -4796,5 +4595,5 @@
                                            // (r_write_inval_trt_send.read() or not r_write_to_cleanup_req.read());
 
-                    if(r_alloc_ivt_fsm.read() == ALLOC_IVT_WRITE)
+                    if (r_alloc_ivt_fsm.read() == ALLOC_IVT_WRITE)
                     {
                         bool        wok        = false;
@@ -4810,5 +4609,5 @@
                         //r_write_ivt_index = index;
 
-                        if(not ivt_full and cc_send_valid) //avoid to deadlock, we make sure that we can send cc_send request. 
+                        if (not ivt_full and cc_send_valid) //avoid to deadlock, we make sure that we can send cc_send request. 
                         {  
                             wok = m_ivt.set(false,        // it's an inval transaction
@@ -4824,10 +4623,13 @@
                                             index);
 
-                            if(is_brdcast)
-                                m_cpt_write_broadcast ++;
-                            else
-                                m_cpt_write_minval ++;
+                            // <Activity counters>
+                            if (is_brdcast)
+                            {
+                                m_cpt_write_broadcast++;
+                            }
+                            // </Activity counters>
+
 #if DEBUG_MEMC_WRITE
-                        if( m_debug and wok )
+                        if (m_debug and wok )
                             std::cout << "  <MEMC " << name() << " WRITE_INVAL_IVT_LOCK> Register broadcast inval in IVT"
                                 << "ivt index = " << index
@@ -4856,5 +4658,5 @@
                             {
                                
-                                if(r_write_state.read() == ENTRY_SHARED)
+                                if (r_write_state.read() == ENTRY_SHARED)
                                 {
                                     m_cache_data.write(way, set, word, r_write_data[word].read(), r_write_be[word].read());
@@ -4880,5 +4682,5 @@
             case WRITE_INVAL_CC_SEND:    // Post a coherence broadcast request to CC_SEND FSM
                 {
-                    if( not r_write_to_cc_send_multi_req.read()   and
+                    if (not r_write_to_cc_send_multi_req.read()   and
                         not r_write_to_cc_send_brdcast_req.read())
                     {
@@ -4894,5 +4696,5 @@
                         r_write_next_ptr               = r_write_ptr.read();
 
-                        if(r_write_state.read() == ENTRY_EXCLUSIVE)
+                        if (r_write_state.read() == ENTRY_EXCLUSIVE)
                         {
                             r_write_to_cleanup_req   = true;
@@ -4900,5 +4702,5 @@
                         }
 
-                        if( not last_multi_inval and multi_inval)
+                        if (not last_multi_inval and multi_inval)
                         {
                             r_write_fsm = WRITE_HEAP_REQ;
@@ -4909,5 +4711,5 @@
                         }
 #if DEBUG_MEMC_WRITE
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name()
                                 << " WRITE_INVAL_CC_SEND> Post a inval request to CC_SEND FSM" << std::endl;
